--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "A method for redirect uri callback. How to use:"
- !ruby/struct:SM::Flow::VERB 
  body: "  clnt.redirect_uri_callback = clnt.method(:strict_redirect_uri_callback)\n"
- !ruby/struct:SM::Flow::P 
  body: This callback does not allow relative redirect such as
- !ruby/struct:SM::Flow::VERB 
  body: "  Location: ../foo/\n"
- !ruby/struct:SM::Flow::P 
  body: in HTTP header. (raises BadResponseError instead)
full_name: HTTPClient#strict_redirect_uri_callback
is_singleton: false
name: strict_redirect_uri_callback
params: (uri, res)
visibility: public
